{% extends 'base.html' %}
{% block title %}
Courses
{% endblock %}


{% block content %}
<h1>Courses</h1>
<div>
    <a class="link-button" href="{{ url_for('courseComp.edit_course', course_id=course.course_id) }}">Edit course</a>
    <a class="link-button" href="{{ url_for('courseComp.delete_course', course_id=course.course_id) }}">Delete course</a>
</div>
<div class='course' id='{{ course.course_id }}'>
    <div class='course_header'>
        <div class='course_id'>{{ course.course_id }}</div>
        <div class='course_name'>{{ course.course_name }}</div>
        <div class='course_clh'>{{course.theory_hours}}-{{course.lab_hours}}-{{course.work_hours}}</div>
        <div class='course_hrs'>{{course.course_hours}}</div>
        <div class='course_term'>Term {{ course.term.term_id }}</div>
        <div class='course_credits'>Credits: {{ course.course_credits }}</div>
        <div class='course_domain'><a href="{{ url_for('courseComp.specific_domain', domain_id=course.domain.domain_id) }}">{{ course.domain.domain }}</a></div>
    </div>
    <div class='course_description'>{{ course.course_description }}</div>

</div>
<br>
<div id="compElems">
    <h3>Course Competencies and Elements</h3>
    <a class="link-button" href="{{ url_for('courseComp.add_course_competency', course_id=course.course_id) }}">Add Element Hours</a>
    {% for comp in competencies %}

        <div class="competency" id="{{ comp.competency_id }}">
            <div class="compTitle">
                <a href="/competencies/{{comp.competency_id}}">{{comp.competency_id}} {{ comp.competency }}</a>
            </div>
            <div class="compElems">
                {% for elem in elements %}
                    {% if elem.competency_id == comp.competency_id %}
                        <div class="element">
                            {{elem.element_order}}. {{elem.element}}    Hours: {{ elem.hours }}
                            <div class="edit-delete">
                                <a href="{{ url_for('courseComp.edit_course_competency_element', course_id=course.course_id, element_id=elem.element_id) }}" class="edit-connection">Edit connection</a>
                                <a href="{{ url_for('courseComp.delete_course_competency_element', course_id=course.course_id, element_id=elem.element_id) }}" class="delete-connection">Delete connection</a>
                            </div>
                        </div>
                    {% endif %}
                {% endfor %}
            </div>
        </div>

    {% endfor %}

</div>

{% endblock %}